Bug 241723 - java.io.FileNotFoundException: http://docs.angularjs.org/api/guide/ie
java.io.FileNotFoundException: http://docs.angularjs.org/api/guide/ie
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: AngularJS
8.0
All All
: P3 (vote)
: 8.0
Assigned To: Petr Pisl
Vladimir Riha
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-11 20:55 UTC by kimsp
Modified: 2014-02-13 02:45 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.96 KB, text/plain)
2014-02-11 20:55 UTC, kimsp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kimsp 2014-02-11 20:55:41 UTC
Build: NetBeans IDE 8.0 Beta (Build 201401091443)
VM: Java HotSpot(TM) 64-Bit Server VM, 24.51-b03, Java(TM) SE Runtime Environment, 1.7.0_51-b13
OS: Mac OS X

User Comments:
kimsp: seeing doc for onchange

GUEST: I was reading AngularJS doc and clicked on a link...




Stacktrace: 
java.io.FileNotFoundException: http://docs.angularjs.org/api/guide/ie
   at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1624)
   at org.netbeans.modules.html.angular.Utils.loadURL(Utils.java:108)
   at org.netbeans.modules.html.angular.Utils.getContentAsString(Utils.java:95)
   at org.netbeans.modules.html.angular.AngularCustomAttribute$2.getHelpContent(AngularCustomAttribute.java:236)
   at org.netbeans.modules.html.editor.completion.HtmlCompletionProvider$LinkDocItem.getText(HtmlCompletionProvider.java:486)
   at org.netbeans.modules.editor.completion.DocumentationScrollPane.setDocumentation(DocumentationScrollPane.java:234)
Comment 1 kimsp 2014-02-11 20:55:43 UTC
Created attachment 145060 [details]
stacktrace
Comment 2 Petr Pisl 2014-02-12 13:48:39 UTC
Fixed in web-main
Comment 3 Quality Engineering 2014-02-13 02:45:04 UTC
Integrated into 'main-silver', will be available in build *201402130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/97ebc62988c2
User: Petr Pisl <ppisl@netbeans.org>
Log: #241723 - java.io.FileNotFoundException: http://docs.angularjs.org/api/guide/ie


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo